Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453678 - booting with encrypted root fails unless you have plymouth installed
Summary: booting with encrypted root fails unless you have plymouth installed
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: mkinitrd
Version: rawhide
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F10Blocker, F10FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2008-07-01 20:43 UTC by Jeremy Katz
Modified: 2008-09-04 03:03 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-09-04 03:03:59 UTC


Attachments (Terms of Use)

Description Jeremy Katz 2008-07-01 20:43:28 UTC
Booting with an encrypted root fails without plymouth installed because it still
tries to use plymouth to get the password

Comment 1 Ray Strode [halfline] 2008-07-02 01:44:02 UTC
Talked to jeremy on irc a bit tonight and this bug got brought up:

<halfline> that could actually cause other problems                  
<halfline> right now we do                                           
<halfline> plymouth --ask-for-password > password.txt                
<halfline> and then cryptsetup luksOpen --keyfile password.txt       
<halfline> if plymouth isn't running then password.txt is going to be empty
<jeremy> and we do it whether or not plymouth is even installed      
<jeremy> that's 453678                                               
<halfline> well, pjones made a nash internal called plymouth         
<halfline> s/internal/built-in                                       
<jeremy> yeah, but it's a null command.  so it doesn't actually do anything
<halfline> i fixed the password interface today though               
<halfline> so now you can do plymouth ask-for-password --command="cryptsetup
luksOpen --keyfile -"
<halfline> and it will call the command for you in a loop until it returns 0
exit status
<halfline> so we need to update mkinitrd to make use of that         

So we need to change mkinitrd to use the new interface and either 1) make
plymouth always run or 2) make the plymouth null command less null and run the
--command part

Comment 2 Will Woods 2008-07-30 15:21:05 UTC
We're working around this for F10Alpha by making mkinitrd require plymouth. This
ensures that plymouth is always installed.

Comment 3 Jeremy Katz 2008-09-04 03:03:59 UTC
And that's the approach we're going with in general.  plymouth is just a part of the standard boot sequence


Note You need to log in before you can comment on or make changes to this bug.